<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.bonus.mapper.CuMemberShareMaxMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.member.bonus.CuMemberShareMax">
        <id column="PK_ID" property="pkId" />
        <result column="DEL_FLAG" property="delFlag" />
        <result column="CREATION_TIME" property="creationTime" />
        <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="PK_COUNTRY" property="pkCountry" />
        <result column="PK_CREATOR" property="pkCreator" />
        <result column="PK_MODIFIED" property="pkModified" />
        <result column="PERIOD" property="period" />
        <result column="PK_RATE" property="pkRate" />
        <result column="ORDER_ACHIEVE" property="orderAchieve" />
        <result column="SHARE_INCOME" property="shareIncome" />
    </resultMap>
    <delete id="deleteCuMemberShareMax">
        delete from CU_MEMBER_SHARE_MAX where period = #{period} and del_flag=0
    </delete>

</mapper>
